## freeglut 3.4.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0.0 FATAL_ERROR)
PROJECT(freeglut C)

# for multiarch LIBDIR support (requires cmake>=2.8.8)
INCLUDE(GNUInstallDirs)

# NOTE: On Windows and Cygwin, the dll's are placed in the
# CMAKE_RUNTIME_OUTPUT_DIRECTORY, while their corresponding import
# libraries end up in CMAKE_ARCHIVE_OUTPUT_DIRECTORY. On other
# platforms, such as Linux, the shared libraries are put in
# CMAKE_ARCHIVE_OUTPUT_DIRECTORY instead.
# Static libraries end up in CMAKE_ARCHIVE_OUTPUT_DIRECTORY on all
# platforms.
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

# setup version numbers
# XXX: Update these for each release!
set(VERSION_MAJOR 3)
set(VERSION_MINOR 4)
set(VERSION_PATCH 0)
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

# Update fg_version.h to match the versions number here in cmake
CONFIGURE_FILE(src/fg_version.h.in src/fg_version.h)

# shared lib version numbers (XXX: change before release)
set(SO_MAJOR 3)		# increment on backwards incompatible API/ABI changes
set(SO_MINOR 12)	# increment on backwards compatible API additions
set(SO_REV 0)		# increment if only internal changes happened between releases

# FREEGLUT_BUILD_SHARED_LIBS is already a standard CMake variable, but we need to
# re-declare it here so it will show up in the GUI.
# by default, we want to build both
OPTION(FREEGLUT_BUILD_SHARED_LIBS "Build FreeGLUT shared library." ON)
OPTION(FREEGLUT_BUILD_STATIC_LIBS "Build FreeGLUT static library." ON)

# option for whether warnings and errors should be printed
OPTION(FREEGLUT_PRINT_ERRORS "Lib prints errors to stderr" ON)
#MARK_AS_ADVANCED(FREEGLUT_PRINT_ERRORS)
OPTION(FREEGLUT_PRINT_WARNINGS "Lib prints warnings to stderr" ON)
#MARK_AS_ADVANCED(FREEGLUT_PRINT_WARNINGS)

# option to also copy .pdb files to install directory when executing
# INSTALL target
IF(MSVC)
    OPTION(INSTALL_PDB "Also install .pdb files" ON)
ELSE()
    SET(INSTALL_PDB OFF)
ENDIF()

# OpenGL ES support
IF(ANDROID)
    OPTION(FREEGLUT_GLES "Use OpenGL ES (requires EGL)" ON)
ELSE()
    OPTION(FREEGLUT_GLES "Use OpenGL ES (requires EGL)" OFF)
ENDIF()

# option to build either as "glut" (ON) or "freeglut" (OFF)
IF(WIN32)
    OPTION(FREEGLUT_REPLACE_GLUT "Be a replacement for GLUT" OFF)
ELSE()
    OPTION(FREEGLUT_REPLACE_GLUT "Be a replacement for GLUT" ON)
ENDIF()

IF(NOT WIN32)
    # Wayland support
    OPTION(FREEGLUT_WAYLAND "Use Wayland (no X11)" OFF)
ENDIF()


SET(FREEGLUT_HEADERS
    include/GL/freeglut.h
    include/GL/freeglut_ucall.h
    include/GL/freeglut_ext.h
    include/GL/freeglut_std.h
)
IF(FREEGLUT_REPLACE_GLUT)
    LIST(APPEND FREEGLUT_HEADERS
        include/GL/glut.h
    )
ENDIF()
SET(FREEGLUT_SRCS
    ${FREEGLUT_HEADERS}
    src/fg_callbacks.c
    src/fg_cursor.c
    src/fg_display.c
    src/fg_ext.c
    src/fg_font_data.c
    src/fg_gamemode.c
    src/fg_geometry.c
    src/fg_gl2.c
    src/fg_gl2.h
    src/fg_init.c
    src/fg_init.h
    src/fg_internal.h
    src/fg_callback_macros.h
    src/fg_input_devices.c
    src/fg_joystick.c
    src/fg_main.c
    src/fg_misc.c
    src/fg_overlay.c
    src/fg_spaceball.c
    src/fg_state.c
    src/fg_stroke_mono_roman.c
    src/fg_stroke_roman.c
    src/fg_structure.c
    src/fg_teapot.c
    src/fg_teapot_data.h
    src/fg_videoresize.c
    src/fg_window.c
)
# TODO: OpenGL ES requires a compatible version of these files:
IF(NOT FREEGLUT_GLES)
    LIST(APPEND FREEGLUT_SRCS
        src/fg_font.c
        src/fg_menu.c
    )
ELSE()
    LIST(APPEND FREEGLUT_SRCS
        src/gles_stubs.c
    )
ENDIF()

IF(WIN32)
    LIST(APPEND FREEGLUT_SRCS
        src/mswin/fg_cursor_mswin.c
        src/mswin/fg_display_mswin.c
        src/mswin/fg_ext_mswin.c
        src/mswin/fg_gamemode_mswin.c
        src/mswin/fg_init_mswin.c
        src/mswin/fg_internal_mswin.h
        src/mswin/fg_input_devices_mswin.c
        src/mswin/fg_joystick_mswin.c
        src/mswin/fg_main_mswin.c
        src/mswin/fg_menu_mswin.c
        src/mswin/fg_spaceball_mswin.c
        src/mswin/fg_state_mswin.c
        src/mswin/fg_structure_mswin.c
        src/mswin/fg_window_mswin.c
	src/mswin/fg_cmap_mswin.c
        ${CMAKE_BINARY_DIR}/freeglut.rc # generated below from freeglut.rc.in
    )
    IF (MSVC AND NOT CMAKE_CL_64)
        # .def file only for 32bit Windows builds (TODO: MSVC only right
        # now, needed for any other Windows platform?)
        LIST(APPEND FREEGLUT_SRCS
            ${CMAKE_BINARY_DIR}/freeglutdll.def # generated below from src/freeglutdll.def.in
        )
    ENDIF()

ELSEIF(ANDROID OR BLACKBERRY)
    # BlackBerry and Android share some similar design concepts and ideas, as with many mobile devices.
    # As such, some classes can be shared between the two. XXX: Possibly rename shareable classes to
    # a more generic name. *_stub? *_mobile?
    LIST(APPEND FREEGLUT_SRCS
        src/android/fg_cursor_android.c
        src/android/fg_ext_android.c
        src/android/fg_gamemode_android.c
        src/android/fg_joystick_android.c
        src/android/fg_spaceball_android.c
    )
    IF(ANDROID)
        LIST(APPEND FREEGLUT_SRCS
            src/android/native_app_glue/android_native_app_glue.c
            src/android/native_app_glue/android_native_app_glue.h
            src/android/fg_internal_android.h
            src/android/fg_init_android.c
            src/android/fg_input_devices_android.c
            src/android/fg_main_android.c
            src/android/fg_main_android.h
            src/android/fg_runtime_android.c
            src/android/fg_state_android.c
            src/android/fg_structure_android.c
            src/android/fg_window_android.c
        )
    ELSE()
        LIST(APPEND FREEGLUT_SRCS
            src/blackberry/fg_internal_blackberry.h
            src/blackberry/fg_init_blackberry.c
            src/x11/fg_input_devices_x11.c
            src/blackberry/fg_main_blackberry.c
            src/blackberry/fg_state_blackberry.c
            src/blackberry/fg_structure_blackberry.c
            src/blackberry/fg_window_blackberry.c
        )
    ENDIF()

ELSE()
    # UNIX (Wayland)
    IF(FREEGLUT_WAYLAND)
        LIST(APPEND FREEGLUT_SRCS
            src/wayland/fg_cursor_wl.c
            src/wayland/fg_ext_wl.c
            src/wayland/fg_gamemode_wl.c
            src/wayland/fg_init_wl.c
            src/wayland/fg_internal_wl.h
            src/wayland/fg_input_devices_wl.c
            src/wayland/fg_main_wl.c
            src/wayland/fg_state_wl.c
            src/wayland/fg_structure_wl.c
            src/wayland/fg_window_wl.c
            # font, serial port & joystick code are agnostic
            src/x11/fg_glutfont_definitions_x11.c
            src/x11/fg_input_devices_x11.c
            src/x11/fg_joystick_x11.c
        )
    # UNIX (X11)
    ELSE()
        LIST(APPEND FREEGLUT_SRCS
            src/x11/fg_cursor_x11.c
            src/x11/fg_ext_x11.c
            src/x11/fg_gamemode_x11.c
            src/x11/fg_glutfont_definitions_x11.c
            src/x11/fg_init_x11.c
            src/x11/fg_internal_x11.h
            src/x11/fg_input_devices_x11.c
            src/x11/fg_joystick_x11.c
            src/x11/fg_main_x11.c
            src/x11/fg_menu_x11.c
            src/x11/fg_spaceball_x11.c
            src/x11/fg_state_x11.c
            src/x11/fg_structure_x11.c
            src/x11/fg_window_x11.c
            src/x11/fg_xinput_x11.c
	    src/x11/fg_cmap_x11.c
        )
        IF(NOT(FREEGLUT_GLES))
            LIST(APPEND FREEGLUT_SRCS
                src/x11/fg_internal_x11_glx.h
                src/x11/fg_display_x11_glx.c
                src/x11/fg_state_x11_glx.c
                src/x11/fg_state_x11_glx.h
                src/x11/fg_window_x11_glx.c
                src/x11/fg_window_x11_glx.h
            )
        ENDIF()
    ENDIF()
ENDIF()

# OpenGL ES requires EGL, and so does Wayland
IF(FREEGLUT_GLES OR FREEGLUT_WAYLAND)
    LIST(APPEND FREEGLUT_SRCS
        src/egl/fg_internal_egl.h
        src/egl/fg_display_egl.c
        src/egl/fg_ext_egl.c
        src/egl/fg_init_egl.c
        src/egl/fg_init_egl.h
        src/egl/fg_state_egl.c
        src/egl/fg_state_egl.h
        src/egl/fg_structure_egl.c
        src/egl/fg_structure_egl.h
        src/egl/fg_window_egl.c
        src/egl/fg_window_egl.h
    )
ENDIF()

INCLUDE(CheckIncludeFiles)
IF(UNIX AND NOT(ANDROID OR BLACKBERRY OR FREEGLUT_WAYLAND))
    FIND_PACKAGE(X11 REQUIRED)
    INCLUDE_DIRECTORIES(${X11_X11_INCLUDE_PATH})
    LIST(APPEND LIBS ${X11_X11_LIB})
    IF(X11_Xrandr_FOUND)
        SET(HAVE_X11_EXTENSIONS_XRANDR_H TRUE)
        LIST(APPEND LIBS ${X11_Xrandr_LIB})
    ENDIF()
    IF(X11_xf86vmode_FOUND)
        SET(HAVE_X11_EXTENSIONS_XF86VMODE_H TRUE)
        LIST(APPEND LIBS ${X11_Xxf86vm_LIB})
    ENDIF()
    IF(X11_Xinput_FOUND)
        # Needed for multi-touch:
        CHECK_INCLUDE_FILES("${X11_Xinput_INCLUDE_PATH}/X11/extensions/XInput2.h" HAVE_X11_EXTENSIONS_XINPUT2_H)
        LIST(APPEND LIBS ${X11_Xinput_LIB})
    ELSE()
        MESSAGE(FATAL_ERROR "Missing X11's XInput2.h (X11/extensions/XInput2.h)")
    ENDIF()
ENDIF()

# FreeBSD and NetBSD joystick code uses libusbhid
IF(CMAKE_SYSTEM_NAME STREQUAL FreeBSD OR CMAKE_SYSTEM_NAME STREQUAL NetBSD)
    IF(HAVE_USBHID_H)
        LIST(APPEND LIBS "-lusbhid")
    ENDIF()
ENDIF()

# For OpenGL ES (GLES): compile with -DFREEGLUT_GLES to cleanly
# bootstrap headers inclusion in freeglut_std.h; this constant also
# need to be defined in client applications (e.g. through pkg-config),
# but do use GLES constants directly for all other needs
# GLES1 and GLES2 libraries are compatible and can be co-linked.
IF(FREEGLUT_GLES)
    LIST(APPEND PUBLIC_DEFINITIONS -DFREEGLUT_GLES)
    LIST(APPEND LIBS GLESv2 GLESv1_CM EGL)
ELSE()
    # On OS X, we need to link against the X11 OpenGL libraries, NOT the Cocoa OpenGL libraries.
    # To do that, you need to manually find two of the libraries before calling FindOpenGL
    if("${CMAKE_SYSTEM_NAME}" STREQUAL "Darwin")
      # get path where X11 libs are
      get_filename_component(X11_LIB_PATH ${X11_Xi_LIB} DIRECTORY)
      
      find_library(OPENGL_gl_LIBRARY NAME GL HINTS ${X11_LIB_PATH})
      find_library(OPENGL_glu_LIBRARY NAME GLU HINTS ${X11_LIB_PATH})
    endif()

    FIND_PACKAGE(OpenGL REQUIRED)
    LIST(APPEND LIBS ${OPENGL_gl_LIBRARY})
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
ENDIF()

# For Wayland: compile with -DFREEGLUT_WAYLAND and pull EGL
IF(FREEGLUT_WAYLAND)
  ADD_DEFINITIONS(-DFREEGLUT_WAYLAND)
  LIST(APPEND LIBS wayland-client wayland-cursor wayland-egl EGL xkbcommon)
ENDIF()

# lib m for math, not needed on windows
IF (NOT WIN32)
    # For compilation:
    LIST(APPEND LIBS m)
    # For CHECK_FUNCTION_EXISTS:
    LIST(APPEND CMAKE_REQUIRED_LIBRARIES m)
ENDIF()

IF(WIN32)
    # hide insecure CRT warnings, common practice
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
    IF(MSVC)
        SET( CMAKE_DEBUG_POSTFIX "d" )
    ENDIF(MSVC)
    
    IF(NOT(MSVC_VERSION LESS "1600"))
    # minimum requirement for WM_TOUCH device
        ADD_DEFINITIONS(-D_WIN32_WINNT=0x0601)
        ADD_DEFINITIONS(-DWINVER=0x0601)
    ELSEIF(NOT(MSVC_VERSION LESS "1300"))
    # minimum requirement for spaceball device
        ADD_DEFINITIONS(-D_WIN32_WINNT=0x0501)
        ADD_DEFINITIONS(-DWINVER=0x0501)
    ELSE()
    # enable the use of Win2000 APIs (needed for really old compilers like MSVC6)
        ADD_DEFINITIONS(-D_WIN32_WINNT=0x0500)
        ADD_DEFINITIONS(-DWINVER=0x0500)
    ENDIF()

ENDIF()

IF(CMAKE_COMPILER_IS_GNUCC)
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
  IF(NOT(ANDROID OR BLACKBERRY OR FREEGLUT_WAYLAND))
    # not setting -ansi as EGL/KHR headers doesn't support it
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pedantic")
  ENDIF()
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(ANDROID)
    # -landroid for ANativeWindow
    # -llog for native Android logging
    LIST(APPEND LIBS android log)

## freeglut 2.6.0

=== debian/changelog ===
freeglut (2.6.0-4) unstable; urgency=low

  [ Anton Gladky ]
  * [8100d04] [861ed2a] Install dbg-file into correct place. (Closes: #681513)

  [ Sebastian Ramacher ]
  * [4083802] Fix buffer overflow. (Closes: #430160)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 13 Jul 2012 23:52:39 +0200

freeglut (2.6.0-3) unstable; urgency=low

  [ Anton Gladky ]
  * [14a5bb4] Use compat-level 9.
  * [9adaee5] Implement multiarch. (Closes: #677735)
  * [3b4bc1a] Fix path to dbg-libraries. (Closes: #331244)
  * [a515c32] Set DM-Upload-Allowed to yes.
  * [3439f5b] Disable *fghJoystickWalkUSBdev on kfreeBSD* systems. 
              Prevents FTBFS on those platforms. (Closes: #678571)

  [ Michael Gilbert ]
  * [68e563b] Automatically handle build flags via debhelper 9.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 30 Jun 2012 16:45:48 -0400

freeglut (2.6.0-2) unstable; urgency=low

  * [58daa57] Simplify debian/rules, use dh 8.
  * [994c8be] Add myself as maintainer. (Closes: #674870)
  * [8d9ff8a] Move git-repository to collab-maint.
  * [1949549] Fix hardcoded list of kFreeBSD architectures. (Closes: #634674)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 19 Jun 2012 20:42:58 +0200

freeglut (2.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * FTBFS with binutils-gold (Closes: #554405)
    - debian/patches/04_ld_no_add_needed.diff 
    - debian/patches/05_gold.diff 
      thanks to Matthias Klose <doko@ubuntu.com>.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 09 Jan 2012 17:23:54 +0900

freeglut (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update Standards-Version to 3.8.4.
  * Move to 3.0 (quilt) source format.
  * Add missing ${misc:Depends}.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 27 Mar 2010 12:02:20 +0000

freeglut (2.4.0-9) unstable; urgency=low

  * Adjust 01_fix_kfreebsd.diff for GNU/kfreebsd 8.x.
    Thanks to Petr Salinger <Petr.Salinger@seznam.cz>. Closes: #561078.
  * Fix hurd FTBFS. Thanks to Pino Toscano <pino@kde.org>.
    Closes: #553409.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 14 Dec 2009 22:22:41 +0000

freeglut (2.4.0-8) unstable; urgency=low

  * Move autoreconf to build time. Closes: #345224.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 01 Sep 2009 19:07:14 +0100

freeglut (2.4.0-7) unstable; urgency=low

  * New maintainer. Closes: #543435.
  * Acknowledge previous NMU.
  * debian/control
    - Update Standards-Version to 3.8.3.
    - Replace Source-Version substvar.
    - Add Vcs-* and Homepage fields.
    - Update debhelper version to 7.
    - Adjust descriptions.
    - Fix debug package section and priority.
    - Remove outdated conflicts, provides and depends.
  * Move top srcdir changes to quilt patch system.
  * Tidy up debian/rules.
  * Use config.{guess,sub} from autotools-dev.
  * Convert copyright to machine readable format.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 31 Aug 2009 15:04:47 +0100

freeglut (2.4.0-6.1) unstable; urgency=low

  * NMU.
  * autogen.sh, debian/control: Use automake 1.9 instead of automake
    1.8. (Closes: #473305)

 -- Eric Dorland <eric@debian.org>  Sat, 03 May 2008 00:50:47 -0400

freeglut (2.4.0-6) unstable; urgency=low

  * Acknowledge NMUs.  Thanks Daniel and Aurelien!
    (Closes: #362210, #442388, #345224)
  * Updated watch file regex.
  * Updated standards version to 3.7.2
  * re-Lintian-clean the package.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 02:27:06 +1100

freeglut (2.4.0-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compilation with gcc-4.2.  Closes: #362210.

 -- Daniel Schepler <schepler@debian.org>  Sat, 15 Sep 2007 13:25:04 -0400

freeglut (2.4.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libusbhid on GNU/kFreeBSD.
  * Fix FreeBSD kernel detection.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Mar 2007 18:22:09 +0100

freeglut (2.4.0-5) unstable; urgency=low

  * Bumped standards version to 3.6.2 (no other changed required).
  * Dump config.log if configure blows up.
  * Provide and conflict freeglut-dev and libglut-dev as per LPG.
  * Update depends on dev package to match build depends, as per LPG.
  * Updated watch file to match sourceforge syntax in uscan manual.

 -- Jamie Wilkinson <jaq@debian.org>  Wed,  5 Apr 2006 15:51:26 +1000

freeglut (2.4.0-4) unstable; urgency=low

  * Added watch file.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 17 Nov 2005 15:06:16 +1100

freeglut (2.4.0-3) unstable; urgency=low

  * Fix GLUT_CURSOR_INHERIT bug, with patch from Vilhelm Sjöberg
    <vilhelm@home.se>, via Enrique Vaamonde <evaamo@cantv.net>.
    (Closes: #334446)

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 17 Nov 2005 14:43:12 +1100

freeglut (2.4.0-2) unstable; urgency=low

  * Really fix the build dependencies for libGL.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 13 Oct 2005 19:20:21 +1000

freeglut (2.4.0-1) unstable; urgency=low

  * New upstream release.  (Closes: #319365, #331552)
    - Fixes key repeat bug. (Closes: #248201, #293687)
    - Remove patch for GLUT_XLIB_IMPLEMENTATION as now fixed upstream.
    - GLUT_ACTION_CONTINUE_EXECUTION fixed in new upstream.
      (Closes: #306369, 325067)
    - Acknowledge NMU 2.2.0-8.1: 64bit fixes incorporated upstream.
      (Closes: #296242)
  * Update build dependencys on libGL and libGLU from Xorg. (Closes: #323177)
  * Remove dependency on transition packages that no longer exist.
    (Closes: #265373)
  * Add build dependency on autogoats.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 13 Oct 2005 09:45:46 +1000

freeglut (2.2.0-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Paul Brook to fix build failure with GCC 4.0
    (Closes: #296242).

 -- Roger Leigh <rleigh@debian.org>  Tue, 19 Jul 2005 23:15:25 +0100

freeglut (2.2.0-8) unstable; urgency=low

  * Added stripped debugging symbols to the freeglut3-dbg package.



=== debian/control ===
Source: freeglut
Section: graphics
Priority: optional
Maintainer: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), libx11-dev, libxt-dev, libxext-dev, libxi-dev, 
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, 
  libusbhid-dev [kfreebsd-any], quilt, autotools-dev, 
  autoconf, automake, libtool
Standards-Version: 3.9.3
Homepage: http://freeglut.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/freeglut.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/freeglut.git

Package: freeglut3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: OpenGL Utility Toolkit
 GLUT is a window system independent toolkit for writing OpenGL programs,
 implementing a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.

Package: freeglut3-dev
Section: libdevel
Architecture: any
Depends: freeglut3 (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, 
  libglu1-mesa-dev | libglu-dev, libxt-dev, libxext-dev, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: OpenGL Utility Toolkit development files
 GLUT is a window system independent toolkit for writing OpenGL programs.
 It implements a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.
 .
 This package contains libraries, and headers suitable for software
 development with GLUT.

Package: freeglut3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: freeglut3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: OpenGL Utility Toolkit debugging information
 GLUT is a window system independent toolkit for writing OpenGL programs.
 It implements a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.
 .
 This package contains debugging symbols useful for tracing bugs in the
 freeglut3 package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

extra_flags = \
	--host="$(DEB_HOST_GNU_TYPE)" \
	--build="$(DEB_BUILD_GNU_TYPE)" \
	--prefix="/usr" \
	--mandir="/usr/share/man" \
	--infodir="/usr/share/info" \

override_dh_auto_configure:
	autoreconf -i
	dh_auto_configure -- $(extra_flags)

override_dh_auto_install-arch:
	dh_auto_install -a -- DESTDIR=$(CURDIR)/debian/tmp
	find . -name '*.la' -print0 | xargs -0 rm -f

override_dh_strip:
	dh_strip --dbg-package=freeglut3-dbg

## freeglut 2.8.1

=== debian/changelog ===
freeglut (2.8.1-6) unstable; urgency=medium

  [ Steve Langasek ]
  * [59e890b] Make autopkgtests cross-test-friendly. (Closes: #959986)

 -- Anton Gladky <gladk@debian.org>  Sat, 09 May 2020 13:54:39 +0200

freeglut (2.8.1-5) unstable; urgency=medium

  * [53d3486] Return build-dependency for kfreebsd

 -- Anton Gladky <gladk@debian.org>  Fri, 01 May 2020 21:59:25 +0200

freeglut (2.8.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove Testsuite field, not needed anymore
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Anton Gladky ]
  * [0b99608] Set field Upstream-Name in debian/copyright.
  * [f36fdc8] Drop unnecessary dependency on dh-autoreconf.
  * [b5ecb93] Drop unnecessary dh arguments: --parallel

 -- Anton Gladky <gladk@debian.org>  Thu, 30 Apr 2020 22:56:31 +0200

freeglut (2.8.1-3) unstable; urgency=medium

  * [1ee10b3] Update gitignore.
  * [760519c] Apply cme fix dpkg.
  * [16b70eb] Drop dbg-package.
  * [85228ed] Simplify d/rules.
  * [35e9471] Apply cme fix dpkg-copyright.

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Aug 2016 20:58:07 +0200

freeglut (2.8.1-2) unstable; urgency=medium

  * [2c0bc01] Set canonical VCS.
  * [0e0c4d2] Set Standard-Versions: 3.9.5. No changes.
  * [426cece] Remove logo-download.
  * [2804176] Add autopkgtests.
  * [5da44c7] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Sat, 24 May 2014 08:59:05 +0200

freeglut (2.8.1-1) unstable; urgency=low

  * [023bfc0] Imported Upstream version 2.8.1
  * [e03d270] Bump Standards-Version: 3.9.4, no changes.
  * [995b0db] Remove obsolete DM-Upload flag.
  * [9ace4fe] Use dh-autoreconf.
  * [31238c7] Remove BD on quilt.

 -- Anton Gladky <gladk@debian.org>  Wed, 01 May 2013 21:18:44 +0200

freeglut (2.8.0-1~exp1) experimental; urgency=low

  [ Chow Loong Jin ]
  * [cd908f0] Build-depend on libxxf86vm-dev for amd64 and i386.

  [ Anton Gladky ]
  * [3fbf337] Imported Upstream version 2.8.0. (Closes: #660518)
  * [adf33b7] Update/remove patches.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Nov 2012 19:14:36 +0100

=== debian/control ===
Source: freeglut
Maintainer: Anton Gladky <gladk@debian.org>
Section: graphics
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libtool,
               libusbhid-dev [kfreebsd-any],
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxt-dev,
               libxxf86vm-dev [amd64 i386]
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/freeglut
Vcs-Git: https://salsa.debian.org/debian/freeglut.git
Homepage: http://freeglut.sourceforge.net/

Package: freeglut3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenGL Utility Toolkit
 GLUT is a window system independent toolkit for writing OpenGL programs,
 implementing a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.

Package: freeglut3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: freeglut3 (= ${binary:Version}),
         libgl1-mesa-dev,
         libglu1-mesa-dev,
         libxext-dev,
         libxt-dev,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenGL Utility Toolkit development files
 GLUT is a window system independent toolkit for writing OpenGL programs.
 It implements a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.
 .
 This package contains libraries, and headers suitable for software
 development with GLUT.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

override_dh_auto_configure:
	dh_auto_configure
	sed -i '18d' $(CURDIR)/doc/index.html # Clean from non-free logo

override_dh_auto_install-arch:
	dh_auto_install -a
	find . -name '*.la' -print0 | xargs -0 rm -f

=== debian/watch ===
version=3
https://sf.net/freeglut/freeglut-([\d.]+)\.tar\.gz

## freeglut 3.4.0

=== debian/changelog ===
freeglut (3.4.0-6) unstable; urgency=medium

  * [a08526f] Increase minimum CMake version (Closes: #1112935)

 -- Anton Gladky <gladk@debian.org>  Wed, 08 Oct 2025 22:41:34 +0200

freeglut (3.4.0-5) unstable; urgency=medium

  [ Henrique F. Simoes ]
  * [599fda5] Revert direct changes to CMakeLists.txt
  * [43b21e2] Fix FTBFS with GCC-15 (Closes: #1096655)

  [ Anton Gladky ]
  * [3374b79] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sat, 04 Oct 2025 14:57:16 +0200

freeglut (3.4.0-4) unstable; urgency=medium

  * [376dbf8] Add Breaks/Replace for freeglut3. (Closes: #1090903)

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Dec 2024 21:45:03 +0100

freeglut (3.4.0-3) unstable; urgency=medium

  * [b4a5753] Update so version

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Dec 2024 06:28:45 +0100

freeglut (3.4.0-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * [53cdad7] Switch to libgl-dev package (Closes: #998336)
  * [ef1f4fc] Fix some lintian warnings.

  [ Anton Gladky ]
  * [7c785ad] Update description.
  * [94902b4] Do not expand so-version. (Closes: #1085576)
  * [b54ad98] d/control: set Standards-Version to 4.7.0
  * [ad859cb] Update install files.
  * [5ea74d8] Remove deps on libglu1-mesa-dev. (Closes: #998336)

  [ Patrice Duroux ]
  * [be4cba7] Update d/watch. (Closes: #1081710)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Dec 2024 18:28:32 +0100

freeglut (3.4.0-1) unstable; urgency=medium

  * Upload into unstable. 
    Closes: #320375, #456516, #575025, #593599, #600961,
            #640534, #853252, #956847, #984562, #85968

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Nov 2022 21:59:02 +0100

freeglut (3.4.0-1~exp2) experimental; urgency=medium

  * [17a8bc6] Reintroduce freeglut3-dev as a transitional package.

 -- Anton Gladky <gladk@debian.org>  Fri, 04 Nov 2022 07:15:18 +0100

freeglut (3.4.0-1~exp1) experimental; urgency=medium

  * [e16c2bf] New upstream version 3.4.0
  * [a74511c] Update install-files

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Oct 2022 19:24:06 +0200

freeglut (3.2.2-1~exp2) experimental; urgency=medium

  * [2863f42] Add Breaks+Replaces: freeglut3-dev. (Closes: #1021538)

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Oct 2022 18:52:17 +0200

freeglut (3.2.2-1~exp1) experimental; urgency=medium

  [ Helmut Grohne ]
  * [062871b] rop unused Build-Depends: libxt-dev. (Closes: #981314)

  [ Anton Gladky ]
  * [7326975] Clean d/rules
  * [d4560e8] Rename binaries
  * [5dad387] Add provides-section
  * [3149587] Update changelog.
  * [025d6c2] Update gitlab-ci.
  * [7ab9ecf] New upstream version 3.2.2
  * [0e1cead] Update watch file format version to 4.
  * [e98620f] Use secure URI in Homepage field.
  * [b3ed672] Update standards version to 4.6.1, no changes needed.
  * [dfe42f3] Update patches

 -- Anton Gladky <gladk@debian.org>  Fri, 07 Oct 2022 22:49:35 +0200

freeglut (3.2.1-1~exp2) experimental; urgency=medium

  * [05a9410] New upstream version 3.2.1
  * [ed1eb70] Remove old patches
  * [efeb33c] Set Standards-version to 4.5.1
  * [7d6f9eb] Fix compilation against gcc-10
  * [8fa5fc7] Install all needed files
  * [58292fd] Update gitlab-ci

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Aug 2021 22:46:05 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

after_override_dh_auto_install-arch:
	find . -name '*.la' -print0 | xargs -0 rm -f

=== debian/tests/control ===
Tests: build1 build2 build3 build4 build5
Depends: freeglut3-dev, build-essential
